Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class ChannelCacheKey

    java.lang.Object
      org.jasig.portal.ChannelCacheKey

    public class ChannelCacheKey

extends java.lang.Object

A general channel cache key class. The class includes the key iteslf, as well as key properties.

Version:
  $Revision: 1.3 $
Author:
  Peter Kharchenko pkharchenko@interactivebusiness.com

Field Summary
`static int` | `INSTANCE_KEY_SCOPE` Specifies that the cache is specific to the instance of the channel that generated it.
`(package private) java.lang.String` | `key`
`(package private) int` | `keyScope`
`(package private) java.lang.Object` | `keyValidity`
`static int` | `SYSTEM_KEY_SCOPE` Specifies that the cache is accessable by all instances of that channel class.

Constructor Summary
`ChannelCacheKey()`

Method Summary
`java.lang.String` | `getKey()` Returns a key uniqly describing the channel state.
`int` | `getKeyScope()` Returns a specification of the scope in which the cache to be used.
`java.lang.Object` | `getKeyValidity()` Returns an object that can be used by the channel to verify cache validity.
`void` | `setKey(java.lang.String key)`
`void` | `setKeyScope(int scope)`
`void` | `setKeyValidity(java.lang.Object validity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE_KEY_SCOPE

    public static final int INSTANCE_KEY_SCOPE

  Specifies that the cache is specific to the instance of the channel that generated it. This is the default scope. This scope should be used if the screen rendering at the current state involves any user-specific information.

  See Also:
    Constant Field Values

### SYSTEM_KEY_SCOPE

    public static final int SYSTEM_KEY_SCOPE

  Specifies that the cache is accessable by all instances of that channel class. In construction a session-wide key, make sure to include static data information in there.

  See Also:
    Constant Field Values

### key

    java.lang.String key

### keyScope

    int keyScope

### keyValidity

    java.lang.Object keyValidity

Constructor Detail

### ChannelCacheKey

    public ChannelCacheKey()

Method Detail

### setKey

    public void setKey(java.lang.String key)

### getKey

    public java.lang.String getKey()

  Returns a key uniqly describing the channel state.

### setKeyScope

    public void setKeyScope(int scope)

### getKeyScope

    public int getKeyScope()

  Returns a specification of the scope in which the cache to be used. Possible values are : INSTANCE_KEY_SCOPE and SYSTEM_KEY_SCOPE.

### setKeyValidity

    public void setKeyValidity(java.lang.Object validity)

### getKeyValidity

    public java.lang.Object getKeyValidity()

  Returns an object that can be used by the channel to verify cache validity. In general, cache validators allow to strengthen the key, by allowing for non-exact checks. A good example is a cache validity condition involving expiration time-stamp.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD